Bug 239762 - kword:msoffice2000:kword is not displaying the correct line numbers restarted at each page
Summary: kword:msoffice2000:kword is not displaying the correct line numbers restarted...
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: doc (show other bugs)
Version: Git
Platform: unspecified All
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-04-30 11:44 UTC by Lassi Nieminen
Modified: 2013-07-22 19:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
MS Word 2000 document to be open in Kword (21.50 KB, application/msword)
2010-04-30 11:44 UTC, Lassi Nieminen
Details
Screenshot of the document in MS Word 2000 (2.25 MB, image/bmp)
2010-04-30 11:46 UTC, Lassi Nieminen
Details
Screenshot of the document in Kword (103.91 KB, image/pjpeg)
2010-04-30 11:47 UTC, Lassi Nieminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-05-28 03:32:13 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-04-30 12:44:51 +0300 ----

Created an attachment
MS Word 2000 document to be open in Kword

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1119639)
  Test document (MS Word 2000): mw00_line_numbers_restart_page.doc

 STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in MS Word 2000.
  2. Open the same document in Kword.
  3. Check the line numbers in the each page.

EXPECTED OUTCOME:
  Kword  should be able display the line numbers restarted at each page.
  For example if the first page contains 1 to 25 line numbers,then in the 
  second page the line numbers should again start from 1.

ACTUAL OUTCOME:
  Kword is displaying the continuous line numbers.

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-04-30 12:46:34 +0300 ----

Created an attachment
Screenshot of the document in MS Word 2000



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-04-30 12:47:43 +0300 ----

Created an attachment
Screenshot of the document in Kword



--- Bug imported by faure@kde.org 2010-05-28 03:32  ---

This bug was previously known as _bug_ 166483.

Imported an attachment (id=47237)
Imported an attachment (id=47238)
Imported an attachment (id=47239)

Unknown bug field "example" encountered while moving bug
   <example>2010-04-30 12:48:17</example>

Comment 1 Matus Uzak 2013-07-22 19:43:10 UTC
Git commit 47e6dd53a8299c30e387b77b47bf537d9d6c3618 by Matus Uzak.
Committed on 22/07/2013 at 19:40.
Pushed by uzak into branch 'master'.

doc: Added support for line numbers restart every page.

M  +6    -3    filters/words/msword-odf/texthandler.cpp

http://commits.kde.org/calligra/47e6dd53a8299c30e387b77b47bf537d9d6c3618